import java.io.*;
import javax.swing.*;

class refrigeranttest
{
  public static void sogutma_cevrimi(String akiskan,double m,double T6,double T7,double dTB,double dTY,double T2)
  {refrigerant g=new refrigerant(akiskan);
   double T[]=new double[9];
   double P[]=new double[9];
   double h[]=new double[9];
   double s[]=new double[9];
   double x[]=new double[9];
   //6 buharlaştırıcı doymuş buhar
   T[6]=T6;
   x[6]=1.0;
   double a6[]=g.property("tx",T[6],x[6]);
   P[6]=a6[0];
   h[6]=a6[3];
   s[6]=a6[5];
   //5 buharlaştırıcı doymuş sıvı
   T[5]=T6;
   x[5]=0.0;
   double a5[]=g.property("tx",T[5],x[5]);
   P[5]=a5[0];
   h[5]=a5[3];
   s[5]=a5[5];
   //1 buharlaştırıcı çıkış-kompresör giriş
   T[1]=T[6]+dTB;
   P[1]=P[6];
   double a1[]=g.property("tp",T[1],P[1]);
   h[1]=a1[3];
   s[1]=a1[5];
   x[1]=a1[6];
   //7 yoğuşturucu doymuş buhar
   T[7]=T7;
   x[7]=1.0;
   double a7[]=g.property("tx",T[7],x[7]);
   P[7]=a7[0];
   h[7]=a7[3];
   s[7]=a7[5];
   //2 yoğuşturucu girişi - kompresör çıkışı
   T[2]=T2;
   P[2]=P[7];
   double a2[]=g.property("tp",T[2],P[2]);
   h[2]=a2[3];
   s[2]=a2[5];
   x[2]=a2[6];
   //8 yoğuşturucu doymuş sıvı
   T[8]=T7;
   x[8]=0.0;
   double a8[]=g.property("tx",T[8],x[8]);
   P[8]=a8[0];
   h[8]=a8[3];
   s[8]=a8[5];
   //3 yoğuşturucu çıkış
   T[3]=T[8]-dTY;
   P[3]=P[8];
   double a3[]=g.property("tp",T[3],P[3]);
   h[3]=a3[3];
   s[3]=a3[5];
   x[3]=a3[6];
   //4 buharlaştırıcı girişi
   P[4]=P[6];
   h[4]=h[3];
   double a4[]=g.property("ph",P[4],h[4]);
   s[4]=a3[5];
   x[4]=a3[6];
   //0 isentropik kompresör çıkışı
   P[0]=P[2];
   s[0]=s[1];
   double a0[]=g.property("ps",P[0],s[0]);
   h[0]=a0[3];
   T[0]=a0[1];
   x[0]=a0[6];
   double QB=m*(h[1]-h[4]);
   double QY=m*(h[2]-h[3]);
   double WC=m*(h[2]-h[1]);
   double COPB=QB/WC;
   double COPY=QY/WC;
   String s1="QB="+QB+"kW\n"+"QY="+QY+"kW\n"+"WC="+WC+"kW\n"+"COPB="+COPB+"\n"+"COPY="+COPY+"\n";
  JOptionPane.showMessageDialog(null,s1,"Soğutma çevrimi", JOptionPane.PLAIN_MESSAGE);
   }
public static void main(String arg[])
{     
	double T2=70.0;
	double T7=40.0;
	double T6=5.0;
	double dTB=5.0;
	double dTY=5.0;
	double m=1.0; //kg/s
	sogutma_cevrimi("R134a",m,T6,T7,dTB,dTY,T2);
    }
}